function[Satisfied,TotalSat,TotalLam]=Check(Y,Lambda,NeighbourICon,Small)

% Satisfied = The values at each node after converged =Lambda-sum(Y's)
% TotalSat  = The total power in the network after convergence
% TotalLam  = The total power in the network before convergence

N=length(Lambda);

Satisfied=zeros(1,N);

for i=1:N
    Satisfied(i)=Lambda(i);
end

for i=1:N
    for j=1:NeighbourICon(i)
        Satisfied(i)=Satisfied(i)+Y(i,j);
    end
    Satisfied(i);
end

for i=1:N
    if abs(Satisfied(i))<Small;
        Satisfied(i)=0;
    end
end

TotalSat=sum(Satisfied);

TotalLam=sum(Lambda);

end